View Issue Details

IDProjectCategoryView StatusLast Update
0003841SOGoWeb Mailpublic2016-10-19 16:15
Reporterlittlebuddha Assigned Tofrancis  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.4 
Fixed in Version3.2.1 
Summary0003841: Ability to select a date in the past as end date for automatic responder
Description

When configuring the automatic response for out of office notifications, I can choose dates in the past and save them.

The end date to choose should be at least be "tomorrow".

Additionally, a click on the "Save"-button should trigger an additional check and inform the user in case the click happened after midnight and the end date is the new day beginning (the auto response would just never respond).

Steps To Reproduce
  • Login to Sogo
  • Go to Preferences > Mail > Vacation
  • Select "Enable vacation auto reply"
  • Select "Auto reply subject" and write something
  • Add a message
  • Choose a date for begin of auto response message and select the checkbox
  • Chosse a date for end of auto response and select the checkbox
  • Click on Save button.
TagsNo tags attached.

Activities

francis

francis

2016-10-14 11:54

administrator   ~0010740

Better, but not yet perfect as we can't force the validation of a md-datepicker when the min or max date is changed.

Related Changesets

sogo: master 56283668

2016-10-14 11:49:23

francis

Details Diff
(js) Add constraints to dates of vacation reply

Fixes 0003841
Affected Issues
0003841
mod - NEWS Diff File
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File

sogo: master 58ee225e

2016-10-19 16:14:27

francis

Details Diff
(js) Improve dates constraints of vacation reply

Fixes 0003841
Affected Issues
0003841
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
add - UI/WebServerResources/js/Common/sgResetOnDisabled.directive.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File

Issue History

Date Modified Username Field Change
2016-10-13 09:35 littlebuddha New Issue
2016-10-14 11:51 francis Changeset attached => sogo master 56283668
2016-10-14 11:51 francis Assigned To => francis
2016-10-14 11:51 francis Resolution open => fixed
2016-10-14 11:54 francis Note Added: 0010740
2016-10-14 11:54 francis Status new => resolved
2016-10-14 11:54 francis Fixed in Version => 3.2.1
2016-10-19 16:15 francis Changeset attached => sogo master 58ee225e